%define name		libgcrypt
%define version		1.1.91
%define release		1mdk
%define lib_name_orig	%{name}
%define lib_major	7
%define lib_name	%mklibname gcrypt %{lib_major}
%define	summary		Cryptographic library

Summary: 	%{summary}
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	%{name}-%{version}.tar.bz2
#Patch0:	%{name}-install-fix.patch.bz2
License: 	LGPL
Group: 		System/Libraries
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
Url: 		http://www.gnupg.org/
BuildRequires: libgpg-error-devel >= 0.5
BuildRequires: libpth-devel >= 2.0.0

%package	-n %{lib_name}
Summary:	Libraries needed by %name
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}
Obsoletes:      %{lib_name_orig}

%package	-n %{lib_name}-devel
Summary:	Development files for the %{name} package.
Group:		Development/Other
Requires:	%{lib_name} = %{version}
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description
Libgcrypt is a general purpose cryptographic library
based on the code from GNU Privacy Guard.  It provides functions for all
cryptograhic building blocks: symmetric ciphers
(AES,DES,Blowfish,CAST5,Twofish,Arcfour), hash algorithms (MD5,
RIPE-MD160, SHA-1, TIGER-192), MACs (HMAC for all hash algorithms),
public key algorithms (RSA, ElGamal, DSA), large integer functions,
random numbers and a lot of supporting functions.


%description -n %{lib_name}
Libgcrypt is a general purpose cryptographic library
based on the code from GNU Privacy Guard.  It provides functions for all
cryptograhic building blocks: symmetric ciphers
(AES,DES,Blowfish,CAST5,Twofish,Arcfour), hash algorithms (MD5,
RIPE-MD160, SHA-1, TIGER-192), MACs (HMAC for all hash algorithms),
public key algorithms (RSA, ElGamal, DSA), large integer functions,
random numbers and a lot of supporting functions.


%description -n %{lib_name}-devel
Libgcrypt is a general purpose cryptographic library
based on the code from GNU Privacy Guard.
This package contains files needed to develop
applications using libgcrypt. ( For example gypten project )


%prep
%setup -q
#%patch0

%build
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%post -n %{lib_name}-devel
%_install_info %{name}.info

%postun -n %{lib_name}-devel
%_remove_install_info %{name}.info


%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/lib*.so.*
%doc AUTHORS COPYING ChangeLog INSTALL NEWS
%doc README THANKS TODO doc

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_bindir}/*
%{_includedir}/*.h

%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so

%{_datadir}/aclocal/*
%{_infodir}/gcrypt.info*


%changelog
* Sat Dec 20 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.91-1mdk
- new release
- fix buildrequires

* Tue Aug  5 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.1.12-1mdk
- Release 1.1.12
- mklibname

* Thu Jul 31 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.1.10-7mdk
- rebuild
- use %%configure2_5x and avoid the use of P0

* Sat Nov 23 2002 Per yvind Karlsen <peroyvind@sintrax.net> 1.1.10-6mdk
- Better fix for binary name(Patch #0)
- Follow mdk lib policy
- Removed non-existing libgcrypt.txt file from filelist
- bzip2'ed the source
- Remove tests from doc (rpmlint says so)
- Move *.so to -devel package, only *.so.* stays
- Cleanups

* Sat Nov 23 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.1.10-5mdk
- fix binary name for arch != i586

* Mon Nov 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.10-4mdk
- Rebuild

* Sat Oct 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.10-3mdk
- Fix bin name

* Sat Oct 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.10-2mdk
- Fix postun/post

* Sat Oct 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.10-1mdk
- Initial package
